Bug 449788 - Access to data-dir forbidden
Access to data-dir forbidden
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 11:52 EDT by Ted Ross
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2008-06-03 11:52:02 EDT
The qpidd broker uses "/var/lib/qpidd" as its default data directory.  If
installed and run as a service, this directory is owned by qpidd:qpidd.  Any
user that subsequently tries to use qpidd from the command line will get a
startup exception denying access to the data directory.

Two problems:

1) This shouldn't happen.  A better default directory ($HOME/.qpidd ?) might
solve this problem.

2) The error that is displayed doesn't say what the directory is, only that it's
inaccessible.
Comment 1 Mike Bonnet 2008-06-19 23:53:00 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.